//+------------------------------------------------------------------+
//|                                             Estrategia Def PAres |
//|                                Copyright  2007, Victor Maranho |
//|                                              vmaranhao@gmail.com |
//+------------------------------------------------------------------+

// Define nome, cross pair, tipo cross, magic nim para cada par

#define cParArrSz 38

// Aes a serem tomadas sobre cada par para calcular
// o valor do pip em USD

#define cAcao_Base_Par1_Eh_USD  0  // Pares USDxxx
#define cAcao_Base_Par2_Eh_USD  1  // Pares xxxUSD
#define cAcao_Crss_Par1_Eh_USD  2  // Pares xxxyyy com cross = USDxxx
#define cAcao_Crss_Par2_Eh_USD  3  // Pares xxxyyy com cross = xxxUSD

// S por legibilidade

#define cABP1USD  cAcao_Base_Par1_Eh_USD  // Pares USDxxx
#define cABP2USD  cAcao_Base_Par2_Eh_USD  // Pares xxxUSD
#define cACP1USD  cAcao_Crss_Par1_Eh_USD  // Pares xxxyyy com cross = USDxxx
#define cACP2USD  cAcao_Crss_Par2_Eh_USD  // Pares xxxyyy com cross = xxxUSD

//                                      0          1          2          3          4          5          6          7          8          9          10         11         12         13         14         15         16         17         18         19         20         21         22         23         24         25         26         27         28         29         30         31         32         33         34         35         36         37   
static string cParNome  [cParArrSz] = { "AUDCADm", "AUDJPYm", "AUDNZDm", "AUDUSDm", "CHFJPYm", "EURAUDm", "EURCADm", "EURCHFm", "EURGBPm", "EURJPYm", "EURUSDm", "GBPCHFm", "GBPJPYm", "GBPUSDm", "NZDJPYm", "NZDUSDm", "USDCADm", "USDCHFm", "USDJPYm", "AUDCAD" , "AUDJPY" , "AUDNZD" , "AUDUSD" , "CHFJPY" , "EURAUD" , "EURCAD" , "EURCHF" , "EURGBP" , "EURJPY" , "EURUSD" , "GBPCHF" , "GBPJPY" , "GBPUSD" , "NZDJPY" , "NZDUSD" , "USDCAD" , "USDCHF" , "USDJPY" };
static string cParCross [cParArrSz] = { "AUDUSDm", "AUDUSDm", "AUDUSDm", ""       , "USDCHFm", "EURUSDm", "EURUSDm", "EURUSDm", "EURUSDm", "EURUSDm", ""       , "GBPUSDm", "GBPUSDm", ""       , "NZDUSDm", ""       , ""       , ""       , ""       , "AUDUSD" , "AUDUSD" , "AUDUSD" , ""       , "USDCHF" , "EURUSD" , "EURUSD" , "EURUSD" , "EURUSD" , "EURUSD" , ""       , "GBPUSD" , "GBPUSD" , ""       , "NZDUSD" , ""       , ""       , ""       , ""       };
static int    cParCalCr [cParArrSz] = { cACP2USD , cACP2USD , cACP2USD , cABP2USD , cACP1USD , cACP2USD , cACP2USD , cACP2USD , cACP2USD , cACP2USD , cABP2USD , cACP2USD , cACP2USD , cABP2USD , cACP2USD , cABP2USD , cABP1USD , cABP1USD , cABP1USD , cACP2USD , cACP2USD , cACP2USD , cABP2USD , cACP1USD , cACP2USD , cACP2USD , cACP2USD , cACP2USD , cACP2USD , cABP2USD , cACP2USD , cACP2USD , cABP2USD , cACP2USD , cABP2USD , cABP1USD , cABP1USD , cABP1USD };
static int    cMagicNum [cParArrSz];

 //= { 610621000, 610621001, 610621002, 610621003, 610621004, 610621005, 610621006, 610621007, 610621008, 610621009, 610621010, 610621011, 610621012, 610621013, 610621014, 610621015, 610621016, 610621017, 610621018, 610621019, 610621020, 610621021, 610621022, 610621023, 610621024, 610621025, 610621026, 610621027, 610621028, 610621029, 610621030, 610621031, 610621032, 610621033, 610621034, 610621035, 610621036, 610621037}
//+--------------------------------------------------------------------------++
//| NDICE DO PAR NO ARRAY DE PARES                                          ||
//+--------------------------------------------------------------------------++

static int cIxPar;

//+--------------------------------------------------------------------------++
//| SETA NDICE DO PAR NO ARRAY DE PARES E AJUSTA MAGIC NUMBER               ||
//+--------------------------------------------------------------------------++

void VM_Pair_Init(int magic)
  {
    
   cIxPar = -1;
   
   magic = magic * 1000;
   
   for (int ix = 0; ix < cParArrSz - 1; ix++)
     {
      if (Symbol() == cParNome[ix]) cIxPar = ix;
      cMagicNum [ix] = magic + ix;
     }   
       
  }

//+--------------------------------------------------------------------------++
//| FIM                                                                      ||
//+--------------------------------------------------------------------------++




